import request from '@/utils/request'

// 查询算法列表
export function listAlgorithm(query) {
  return request({
    url: '/algoManager/algorithm/list',
    method: 'get',
    params: query
  })
}

// 查询算法详细
export function getAlgorithm(id) {
  return request({
    url: '/algoManager/algorithm/' + id,
    method: 'get'
  })
}

// 查询算法对象详细
export function getAlgorithmDto(id) {
  return request({
    url: '/algoManager/algorithm/getAlgorithmDto/' + id,
    method: 'get'
  })
}

// 新增算法
export function addAlgorithm(data) {
  return request({
    url: '/algoManager/algorithm',
    method: 'post',
    data: data
  })
}

// 修改算法
export function updateAlgorithm(data) {
  return request({
    url: '/algoManager/algorithm',
    method: 'put',
    data: data
  })
}

// 删除算法
export function delAlgorithm(id) {
  return request({
    url: '/algoManager/algorithm/' + id,
    method: 'delete'
  })
}

// 查询算法子类管理列表
export function getAlgoSubOption() {
  return request({
    url: '/algoManager/algorithm/getOption',
    method: 'get',
  })
}

// 新增算法
export function addOrUpdateDto(data) {
  return request({
    url: '/algoManager/algorithm/addOrUpdateDto',
    method: 'post',
    data: data
  })
}

// 运行算法
export function runAlgorithms(id) {
  return request({
    url: '/algoManager/algorithm/runAlgorithms/' + id,
    method: 'get'
  })
}
